Name: python-module-PyXML
Version: 0.8.4
Release: alt1.1

Summary: XML libraries for python

Group: Development/Python
License: Various
Url: http://pyxml.sourceforge.net/

Source: http://prdownloads.sourceforge.net/pyxml/PyXML-%version.tar.bz2

%define python_optlevel 2
%setup_python_module PyXML

# hack for unknown deps
%add_python_req_skip XMLFactory XMLinter XMLClient xml_dc

Provides: PyXML
Obsoletes: PyXML

# Automatically added by buildreq on Tue Mar 22 2005
BuildRequires: libexpat-devel python-base python-dev python-modules-encodings

%description
An XML package for Python.  The distribution contains a
validating XML parser, an implementation of the SAX and DOM
programming interfaces and an interface to the Expat parser.

%prep
%setup -q -n PyXML-%version

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build --with-libexpat=%_prefix

%install
python setup.py install \
	--optimize=%python_optlevel \
	--root=$RPM_BUILD_ROOT \
	--record=INSTALLED_FILES

%files -f INSTALLED_FILES
%doc LICENCE ANNOUNCE CREDITS README* TODO doc/*

%changelog
* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 0.8.4-alt1.1
- Rebuilt with python-2.5.

* Tue Mar 22 2005 Vitaly Lipatov <lav@altlinux.ru> 0.8.4-alt1
- NMU: new version
- rename package to python-module-PyXML
- rebuild with python 2.4

* Tue Feb 24 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.3-alt1
- New upstream release
- Built against python 2.3
- Cleaned up install

* Tue Mar 11 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.2-alt1
- 0.8.2
- Use system libexpat
- Changed License field to Various, to reflect on the multitude of licenses

* Wed Oct 23 2002 Stanislav Ievlev <inger@altlinux.ru> 0.8.1-alt1
- 0.8.1
- build with gcc3

* Fri Aug 02 2002 Stanislav Ievlev <inger@altlinux.ru> 0.8-alt1
- 0.8.0

* Mon Jan 28 2002 Stanislav Ievlev <inger@altlinux.ru> 0.7.0-alt1
- 0.7.0
- rebuild with new python

* Wed Jun 27 2001 AEN <aen@logic.ru> 0.6.5-alt1
- first build for Sisyphus

* Thu Jun  7 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Don't obsolete itself

* Mon May  7 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Initial build, it's no longer part of 4Suite
